Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleFieldDefinition

    java.lang.Object
      com.ibm.able.data.AbleFieldDefinition

All Implemented Interfaces:
  java.io.Serializable

public class AbleFieldDefinition
extends java.lang.Object
implements java.io.Serializable

This class represents a single field of externally described data It includes a field name, a data type, and a usage (input/output/ignore)

See Also:
  Serialized Form

Field Summary
`protected int` | `dataType`
`protected java.lang.String` | `dataTypeString`
`protected java.lang.String` | `name`
`protected static long` | `serialVersionUID`
`protected java.lang.String` | `usageString`
`protected int` | `usageType`

Constructor Summary
`AbleFieldDefinition(java.lang.String name, java.lang.String type, java.lang.String usage)` Construct an AbleFieldDefinition with name, type and usage specified

Method Summary
`int` | `getDataType()` return the data type id
`java.lang.String` | `getDataTypeString()` get the data type of this field as a string (e.g.
`java.lang.String` | `getName()` return the field name
`java.lang.String` | `getUsageString()` get the usage type of this field as a string (e.g.
`int` | `getUsageType()` return the usage type id
`java.lang.String` | `toString()` return a string equivalent to a record in a *.dfn file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### name

    protected java.lang.String name

### dataTypeString

    protected java.lang.String dataTypeString

### usageString

    protected java.lang.String usageString

### dataType

    protected int dataType

### usageType

    protected int usageType

Constructor Detail

### AbleFieldDefinition

    public AbleFieldDefinition(java.lang.String name,
                               java.lang.String type,
                               java.lang.String usage)

  Construct an AbleFieldDefinition with name, type and usage specified

Method Detail

### getName

    public java.lang.String getName()

  return the field name

### getDataType

    public int getDataType()

  return the data type id

### getUsageType

    public int getUsageType()

  return the usage type id

### getDataTypeString

    public java.lang.String getDataTypeString()

  get the data type of this field as a string (e.g. "continuous")

### getUsageString

    public java.lang.String getUsageString()

  get the usage type of this field as a string (e.g. "input")

### toString

    public java.lang.String toString()

  return a string equivalent to a record in a *.dfn file

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005